<div
  class="question"
  data-test-title="question"
  data-test-question-id="{{@questionIndex}}"
  {{on-key "ArrowUp" @goToPreviousQuestion}}
  {{on-key "ArrowDown" this.goToNextQuestion}}
>
  <Questionnaire::Question::Heading
    @question={{@question}}
    @questionIndex={{@questionIndex}}
  />

  <div>
    {{#let (component this.QuestionType) as |QuestionType|}}
      <QuestionType
        @question={{@question}}
        @handleSubmit={{this.handleSubmit}}
      />
    {{/let}}

    <Questionnaire::Submit
      @label={{this.submitLabel}}
      @keyboardShortcut={{this.submitShortcut}}
      @handleSubmit={{this.handleSubmit}}
    />
  </div>
</div>
